mod area;
mod assignment;
mod assignment_changeset;
mod availability;
mod availability_assignment_state;
mod availability_changeset;
mod clothing;
mod event;
mod event_changeset;
mod export_event_row;
mod function;
mod location;
mod password_reset;
mod registration;
mod role;
mod user;
mod user_changeset;
mod user_funtion;
mod vehicle;
mod vehicle_assignment;

pub use area::Area;
pub use assignment::Assignment;
pub use assignment_changeset::{AssignmentChangeset, AssignmentContext};
pub use availability::Availability;
pub use availability_assignment_state::AvailabilityAssignmentState;
pub use availability_changeset::{
    AvailabilityChangeset, AvailabilityContext, find_free_date_time_slots,
};
pub use clothing::Clothing;
pub use event::Event;
pub use event_changeset::{EventChangeset, EventContext};
pub use export_event_row::{ExportEventRow, SimpleAssignment};
pub use function::Function;
pub use location::Location;
pub use password_reset::PasswordReset;
pub use registration::Registration;
pub use role::Role;
pub use user::User;
pub use user_changeset::UserChangeset;
pub use user_funtion::UserFunction;
pub use vehicle::Vehicle;
pub use vehicle_assignment::VehicleAssignment;

type Result<T> = std::result::Result<T, sqlx::Error>;
