use tracing::error;

#[derive(Debug)]
pub struct AsyncValidateError {
    message: String,
}

impl std::fmt::Display for AsyncValidateError {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "{}", self.message)
    }
}

impl std::error::Error for AsyncValidateError {}

impl AsyncValidateError {
    pub fn new(message: &str) -> Self {
        AsyncValidateError {
            message: message.to_string(),
        }
    }
}

impl From<sqlx::Error> for AsyncValidateError {
    fn from(value: sqlx::Error) -> Self {
        error!(error = %value, "database error while validation input");
        AsyncValidateError::new("Datenbankfehler beim Validieren!")
    }
}
